## python-pyzstd 0.16.0+ds

=== debian/changelog ===
python-pyzstd (0.16.0+ds-3) unstable; urgency=medium

  * Add dependency version for libzstd1 to pass autopkgtest on Debian testing
  * Drop embedded libzstd path from manifest file

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 23 Jun 2024 10:48:01 +0900

python-pyzstd (0.16.0+ds-2) unstable; urgency=medium

  * Add attribute "targetCBlockSize" for binary module
    (Closes: #1073439, #1073424)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 17 Jun 2024 11:51:27 +0900

python-pyzstd (0.16.0+ds-1) unstable; urgency=medium

  * Restore version mangle to import new upstream version
  * New upstream version 0.16.0+ds
  * README format was changed to Markdown
  * Rediff patches
  * Upstream maintainer was changed since 0.15.10
    See also: https://github.com/Rogdham/pyzstd/issues/1
  * Use DEP5 name for license

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 23 May 2024 11:28:50 +0900

python-pyzstd (0.15.10+ds1-2) unstable; urgency=medium

  * Standards-Version: 4.7.0 (routine-update)
  * Testsuite: autopkgtest-pkg-pybuild (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * Upgrade Python build sequencer
  * Upgrade Python test sequencer

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 30 Apr 2024 15:07:28 +0900

python-pyzstd (0.15.10+ds1-1) unstable; urgency=medium

  * Initial commit (Closes: #1068317)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 07 Apr 2024 07:50:26 +0900

## python-pyzstd 0.19.1

=== docs/requirements.txt ===
myst-parser
sphinx_rtd_theme

## python-pyzstd 0.16.1+ds

=== debian/changelog ===
python-pyzstd (0.16.1+ds-1) unstable; urgency=medium

  * New upstream version 0.16.1+ds (Closes: #1078007)
  * Drop a patch that applied by upstream

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 06 Aug 2024 12:02:20 +0900

=== debian/control ===
Source: python-pyzstd
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>
Standards-Version: 4.7.0
Homepage: https://github.com/Rogdham/pyzstd
Rules-Requires-Root: no
Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  libzstd-dev (>= 1.5.6),
  pybuild-plugin-pyproject,
  python3-all,
  python3-all-dev,
  python3-setuptools,
  python3-build,
  python3-pytest <!nocheck>,
  python3-hypothesis <!nocheck>,
  python3-pytest-benchmark <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-timeout <!nocheck>
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyzstd
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyzstd.git

Package: python3-pyzstd
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
         libzstd1 (>= 1.5.6)
Description: Facebook's Zstandard (or zstd as short name) algorithm
 Python bindings to Zstandard (zstd) compression library, the API
 style is similar to Python's bz2/lzma/zlib modules.
 .
 Pyzstd module provides classes and functions for compressing and
 decompressing data, using Facebook's Zstandard (or zstd as short
 name) algorithm.

## python-pyzstd 0.16.2+ds

=== debian/changelog ===
python-pyzstd (0.16.2+ds-2) unstable; urgency=medium

  * Upgrade Debian policy standards to 4.7.1

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 23 Feb 2025 14:02:01 +0900

python-pyzstd (0.16.2+ds-1) unstable; urgency=medium

  * New upstream version 0.16.2+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 14 Oct 2024 01:17:59 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/Rogdham/pyzstd
 Rules-Requires-Root: no
 Build-Depends:

## python-pyzstd 0.17.0%2Bds

=== debian/changelog ===
python-pyzstd (0.17.0+ds-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:09:57 +0000

python-pyzstd (0.17.0+ds-1) unstable; urgency=medium

  * New upstream version 0.17.0+ds
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 13 May 2025 15:21:48 +0900

python-pyzstd (0.16.2+ds-3) unstable; urgency=medium

  * Upgrade Debian policy to 4.7.2

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 02 Mar 2025 09:20:25 +0900

## python-pyzstd 0.17.0+ds

=== debian/changelog ===
python-pyzstd (0.17.0+ds-2) unstable; urgency=medium

  * Use V5 format for watch file
  * Use local file for salsa CI

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 23 Aug 2025 13:06:23 +0900

=== debian/watch ===
# -*- mode: conf -*-
Version: 5

Source: https://pypi.debian.net/pyzstd/
Matching-Pattern: pyzstd-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Uversion-Mangle: s/(rc|a|b|c)/~$1/
Dversion-Mangle: s/\+ds//
Oversion-Mangle: s/$/+ds/

## python-pyzstd 0.18.0+ds

=== debian/changelog ===
python-pyzstd (0.18.0+ds-1) unstable; urgency=medium

  * New upstream version 0.18.0+ds
  * Rediff patches
  * Drop libzstd license file generator

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 09 Oct 2025 15:11:40 +0900

python-pyzstd (0.17.0+ds-3) unstable; urgency=medium

  * Drop Emacs mode line from debian/watch

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 30 Sep 2025 16:27:45 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/Rogdham/pyzstd
 Rules-Requires-Root: no
 Build-Depends:

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=pyzstd

# Use Debian's zstd library
export PYBUILD_BUILD_ARGS = --config-setting="--build-option=--dynamic-link-zstd"

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,3 @@
-# -*- mode: conf -*-
 Version: 5
 
 Source: https://pypi.debian.net/pyzstd/

## python-pyzstd 0.19.1

=== debian/changelog ===
python-pyzstd (0.19.1-1) unstable; urgency=medium

  * Use backports.zstd for Python 3.13
  * Use standard zstd compression method for Python 3.14+

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 06 Feb 2026 18:27:46 +0900

python-pyzstd (0.19.1-1~exp1) experimental; urgency=medium

  * No more needs to drop zstd library source
  * New upstream version 0.19.0
  * Drop unused build tool
  * Rediff patches
  * Add new build tool
  * Update test suite
  * Use Python == 3.14
  * Pyzstd >= 0.19 drops own binary module.
  * Drop unused external libzstd dependency
  * No more needs to build binary module
  * Lintian fix: redundant-rules-requires-root-no-field
  * fix: SeekableZstdFile: write table on on 32bits
  * New upstream version 0.19.1
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 14 Dec 2025 14:58:05 +0900

python-pyzstd (0.18.0+ds-2) unstable; urgency=medium

  * Upgrade Debian standards to 4.7.3

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 28 Dec 2025 08:30:11 +0900

=== debian/control ===
Source: python-pyzstd
Section: python
Testsuite: autopkgtest-pkg-pybuild
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>
Standards-Version: 4.7.3
Homepage: https://github.com/Rogdham/pyzstd
Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-backports.zstd | python3-supported-min (>= 3.14),
  python3-build,
  python3-hatchling,
  python3-hatch-vcs,
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyzstd
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyzstd.git

Package: python3-pyzstd
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Facebook's Zstandard (or zstd as short name) algorithm
 Python bindings to Zstandard (zstd) compression library, the API
 style is similar to Python's bz2/lzma/zlib modules.
 .
 Pyzstd module provides classes and functions for compressing and
 decompressing data, using Facebook's Zstandard (or zstd as short
 name) algorithm.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=pyzstd

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/pyzstd/
Matching-Pattern: pyzstd-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Uversion-Mangle: s/(rc|a|b|c)/~$1/
